Name:		neverball
Summary:	NeverBall arcade game
Version: 1.4.0
Release: %mkrel 7
Url:		http://icculus.org/neverball/
Source0:	http://icculus.org/neverball/%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Source4:	neverputt-48.png
Source5:	neverputt-32.png
Source6:	neverputt-16.png
Patch0:		neverball_X11_path.patch
Group:		Games/Arcade
License:	GPL
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL_mixer-devel SDL_image-devel SDL_ttf-devel
BuildRequires:	GL-devel
Obsoletes:	neverputt
Provides:	neverputt

%description
Tilt the floor to roll the ball through the obstacle course
before time runs out.
This package inclutes neverputt, a golf game based on neverball.
Hardware accellerated OpenGL support with multitexture
(OpenGL 1.2.1 or greater) is required.

%prep
%setup -q
%patch0 -p0

%build
%make CFLAGS="$RPM_OPT_FLAGS -ansi `sdl-config --cflags` -L%_prefix/X11R6/%_lib"

%install
rm -rf $RPM_BUILD_ROOT

function install_binary() {
	binary=$1
	install -m755 $binary -D $RPM_BUILD_ROOT%{_gamesbindir}/$binary.bin

	cat > $RPM_BUILD_ROOT%{_gamesbindir}/$binary << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
%{_gamesbindir}/$binary.bin
EOF

	chmod +x $RPM_BUILD_ROOT%{_gamesbindir}/$binary
}

install_binary %{name}
install_binary neverputt

mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
rm -fr data/map-*/*.map
cp -a data $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_liconsdir}/neverputt.png
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_iconsdir}/neverputt.png
install -D -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_miconsdir}/neverputt.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Neverball
Comment=Tilt the floor to roll the ball
Exec=%{_gamesbindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-neverputt.desktop << EOF
[Desktop Entry]
Name=Neverputt
Comment=Golf game based on neverball
Exec=%{_gamesbindir}/neverputt %U
Icon=neverputt
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(644,root,root,755)
%doc CHANGES README
# do not package TODO to make rpmlint happy (zero size)
%attr(755,root,root) %{_gamesbindir}/%{name}*
%attr(755,root,root) %{_gamesbindir}/neverputt*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_datadir}/applications/mandriva*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/neverputt.png
%{_iconsdir}/neverputt.png
%{_miconsdir}/neverputt.png



%changelog
* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.4.0-7mdv2009.0
+ Revision: 253859
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.4.0-5mdv2008.1
+ Revision: 148290
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:1.4.0-5mdv2008.0
+ Revision: 73096
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Mon Sep 04 2006 Gtz Waschk <waschk@mandriva.org> 1.4.0-5mdv2007.0
- fix installation

* Wed Jul 05 2006 Gtz Waschk <waschk@mandriva.org> 1:1.4.0-4mdv2007.0
- fix buildrequires
- xdg menu

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 1:1.4.0-3mdk
- Rebuild
- use mkrel

* Mon May 09 2005 Gtz Waschk <waschk@mandriva.org> 1.4.0-2mdk
- fix build on x86_64

* Wed Sep 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- New release 1.4.0

* Mon Sep 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.7-2mdk
- don't accidently remove .sol files (thanks to Fabien Brachere)

* Thu Aug 12 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.7-1mdk
- New release 1.3.7

* Sun Jul 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.6-1mdk
- New release 1.3.6

* Thu Jul 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.5-1mdk
- New release 1.3.5

* Wed Jul 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.4-1mdk
- New release 1.3.4

* Tue Jul 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.3-1mdk
- drop GLU dependancy
- New release 1.3.3

* Mon Jul 12 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.2-1mdk
- New release 1.3.2

* Wed Jul 07 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- New release 1.3.1

* Mon Jun 28 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.0-1mdk
- New release 1.3.0

* Mon Jun 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- New release 1.2.7

* Fri May 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- add source URL
- fix doc file listing
- New release 1.2.5

* Wed Apr 14 2004 Olivier Blin <blino@mandrake.org> 1.2.1-1mdk
- install neverputt files
- Obsoletes/Provides neverputt (merged in neverball)
- new release

* Fri Feb 06 2004 Olivier Blin <blino@mandrake.org> 1.1.0-2mdk
- don't ship unneeded files (map "source" files)

* Thu Feb 05 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-1mdk
- 1.1.0
- fix buildrequires (lib64..)

* Sun Nov 09 2003 Olivier Blin <oliv.blin@laposte.net> 1.0.0-2mdk
- keep 0.25.11-2mdk fixes (stupid me ...)

* Sun Nov 09 2003 Olivier Blin <oliv.blin@laposte.net> 1.0.0-1mdk
- 1.0.0
- add url in Source0

* Wed Oct 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25.11-2mdk
- compile with $RPM_OPT_FLAGS
- don't list datadir twice in %%files

* Mon Oct 27 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25.11-1mdk
- 0.25.11
- updated url
- move to %%{_gamesbindir} and %%{_gamesdatadir}

* Thu Oct 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25.10-1mdk
- 0.25.10

* Wed Oct 01 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.6-1mdk
- new version

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.4-1mdk
- new version

